(function($) {

$(document).ready(function(){
	console.log("Digital signature script loaded");
	Initialize();
});

function Initialize()
{
	// All the UI elements, stored in global variables as jQuery objects.
	$sign      = $('input[name=digital-signature-present]'); // sign checkbox.
	$update    = $('input[name=digital-signature-update]'); // update button.
	$signature = $('input[name=digital-signature-value]'); // the hidden sig.
	$content   = $('textarea#content, textarea#comment'); // Post contents.
	$publish   = $('input#publish'); // Regular publish button by WP.

	// Add an event on the update button to trigger the signText().
	$update.click(UpdateSignature);

}

function UpdateSignature()
{
	if ($sign.is(':checked') == false)
		return;
	var content = $content[0].value;
	var signature = crypto.signText(content, "ask");
	console.log(signature);
	if (signature.substring(0,5) === "error")
		return;
	$signature.val(signature);
}

})(jQuery);

